> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/live-photos/get-a-live-photo.md).

# Get a live photo

{% hint style="info" %}
This will retrieve the live photo object. To download the actual photo, you should use the [download live photo](/documentation/api-reference/core-resources/live-photos/download-live-photo.md) endpoint.
{% endhint %}

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/livePhotos/:id`

Retrieves an existing live photo.

### Headers

<table><thead><tr><th width="266">Name</th><th width="82">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Path parameters

<table><thead><tr><th width="264">Name</th><th width="87">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the live photo.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/livePhotos/{:livePhotoId} \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const livePhoto = await complycube.livePhoto.get("LIVE_PHOTO_ID");
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

live_photo = cc_api.livephotos.get('LIVE_PHOTO_ID')
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$livePhoto = $ccapi->livephotos()->get('LIVE_PHOTO_ID');
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.LivePhotos;

var livePhotoApi = new LivePhotoApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var livePhoto = await livePhotoApi.GetAsync("LIVE_PHOTO_ID");
```

{% endtab %}
{% endtabs %}

Example responses

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "id": "5eb1b5f231778a0008d1c3f6",
    "clientId": "5eb1276d96be4a0008713af5",
    "downloadLink": "/livePhotos/5eb1b5f231778a0008d1c3f6/download",
    "contentType": "images/jpg",
    "performLivenessCheck": true,
    "size": 44896,
    "createdAt": "2020-01-01T14:06:44.756Z",
    "updatedAt": "2020-01-01T14:06:44.756Z"
}
```

{% endtab %}

{% tab title="Resource Not Found (404)" %}

```json
{
    "type": "resource_not_found",
    "message": "Invalid live photo id '5eb1b5f231778a0008d1c3f5'"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/live-photos/get-a-live-photo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
